/* ========== Header Top Bar ========== */
.header__top-bar {
  background-color: #000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
  position: fixed;
  top: 0;
  left: 0;
  height: 5rem;
  width: 100%;
  z-index: 1000;
}

.header__top-bar button {
  color: #fff;
  font-size: 16px;
  font-weight: 300;
  background-color: #000;
  padding: 10px;
  border-radius: 10px;
  border: 2px solid #fff;
  cursor: pointer;
  transition: 0.2s ease;
}

@media (hover: hover) and (pointer: fine) {
  .header__top-bar button:hover { background-color: #111; }
}

/* ===== Header Language menu ===== */
.header__language-menu {
  font-size: 1.1rem;
  font-weight: 700;
  position: fixed;
  top: 5.5rem;
  left: 0.5rem;
  opacity: 0;
  transform: translateX(-120px) scale(0.8);
  pointer-events: none;
  transition: 0.2s ease;
  padding: 2.5rem;
  border-radius: 1rem;
}

.header__language-menu.active {
  opacity: 1;
  transform: translateX(0) scale(1);
  pointer-events: auto;
}

.header__language-list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.header__language-list-item {
  display: flex;
  align-items: center;
  padding: 0.5rem 0;
  position: relative;
}

.header__language-list-item::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background: #fff;
  opacity: 0.3;
}

.header__language-code { 
  font-size: 10px;
  font-weight: 700;
  color: #1700e7;
}

.header__language-list-item a { transition: 0.2s ease; }

@media (max-width: 768px) {
  .header__language-menu { padding: 2rem; }
}